Inspect

Get workspace setup scripts

Get the pre-install and post-install scripts for a managed GitHub repository. Requires repository read permission.

Base URL
GET
/api/public/v1/workspaces/{workspace_id}/scripts

Get the pre-install and post-install scripts for a managed GitHub repository. Requires repository read permission.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

workspace_id*string

The workspace ID.

Response Body

Current and default setup scripts

application/json
  1. response
commitSha*string

Content-addressed version of the current scripts.

preInstall*string
postInstall*string
defaults*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/workspaces/string/scripts'
Example Response
{  "commitSha": "string",  "preInstall": "string",  "postInstall": "string",  "defaults": {    "preInstall": "string",    "postInstall": "string"  }}